<?php declare(strict_types=1);

namespace App\Dto\Request\Private\Profile;

use App\Dto\Request\Dto;
use App\Enums\Lang;

final readonly class UpdateSettings extends Dto
{
    public function __construct(
        private ?Lang $lang,
        private ?string $timezone
    ) { }

    public function getLang(): ?Lang
    {
        return $this->lang;
    }

    public function getTimezone(): ?string
    {
        return $this->timezone;
    }
}
